API
विकिडेटा API
विकीडाटा एक सहयोगी रूप से बनाए रखा जाने वाला ज्ञान आधार है, जिसमें 121 मिलियन से अधिक आइटम हैं, जो लोगों, संगठनों, स्थानों, कार्यों और अवधारणाओं को कवर करते हैं। यह एंटिटी समाधान, ज्ञान ग्राफ, खोज समृद्धि, और संरचित शोध के लिए महत्वपूर्ण है।
API Reference Version: 1.0.0 10 Endpoints Authentication
Base URL
https://api.pressmonitor.co.in Authentication
All requests use Bearer token authentication.
Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/suggest-entities इकाइयां सुझाएँ
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query_text | string | query | Yes | प्रश्न पाठ |
| lang | string | query | No | भाषा |
| limit | string | query | No | सीमा |
| offset | string | query | No | बाधा |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/suggest-entities?query_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 सफलता
GET
/search/by-label लेबल से इकाइयों की खोज करें
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query_text | string | query | Yes | प्रश्न पाठ |
| lang | string | query | No | भाषा |
| limit | string | query | No | सीमा |
| offset | string | query | No | बाधा |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/search/by-label?query_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 सफलता
GET
/search/by-description विवरण से इकाइयों की खोज करें
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query_text | string | query | Yes | प्रश्न पाठ |
| lang | string | query | No | भाषा |
| limit | string | query | No | सीमा |
| offset | string | query | No | बाधा |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/search/by-description?query_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 सफलता
GET
/search/by-type प्रकार से इकाइयों की खोज करें
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| type | string | query | Yes | प्रकार |
| query_text | string | query | No | प्रश्न पाठ |
| lang | string | query | No | भाषा |
| limit | string | query | No | सीमा |
| offset | string | query | No | बाधा |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/search/by-type?type=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 सफलता
GET
/search/by-claim दावे के मूल्य द्वारा इकाइयों की खोज करें
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| property | string | query | Yes | गुण |
| value | string | query | No | मूल्य |
| mode | string | query | No | मोड |
| lang | string | query | No | भाषा |
| limit | string | query | No | सीमा |
| offset | string | query | No | बाधा |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/search/by-claim?property=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 सफलता
GET
/find/by-property गुण द्वारा इकाइयों की खोज करें
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| property | string | query | Yes | गुण |
| value | string | query | No | मूल्य |
| qualifier | string | query | No | प्रमाणक |
| rank | string | query | No | पद |
| lang | string | query | No | भाषा |
| limit | string | query | No | सीमा |
| offset | string | query | No | बाधा |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/find/by-property?property=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 सफलता
GET
/search/temporal तिथि सीमा द्वारा इकाइयों की खोज करें
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| property | string | query | Yes | गुण |
| from | string | query | No | से |
| to | string | query | No | तक |
| value | string | query | No | मूल्य |
| lang | string | query | No | भाषा |
| limit | string | query | No | सीमा |
| offset | string | query | No | बाधा |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/search/temporal?property=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 सफलता
GET
/entities/$0 ID द्वारा इकाई प्राप्त करें
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| wikidata_id | string | query | Yes | विकिडेटा ID |
| lang | string | query | No | भाषा |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/entities/$0?wikidata_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 सफलता
GET
/entities/$0/claims इकाई दावे प्राप्त करें
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| wikidata_id | string | query | Yes | विकिडेटा ID |
| lang | string | query | No | भाषा |
| limit | string | query | No | सीमा |
| offset | string | query | No | बाधा |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/entities/$0/claims?wikidata_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 सफलता
GET
/properties गुण प्राप्त करें
Code Examples
curl -X GET "https://api.pressmonitor.co.in/properties" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 सफलता